Current app versions and compatibility

Current App Versions

  • Android - 15.17
  • iOS - 15.18

App Compatibility

  • Android requires Android 7.0 (Nougat) and up. Compatible with Android 11.
  • iOS requires iOS 14.0 or later (compatible with iPhone, iPad, and iPod touch) while Apple Vision requires vision OS 1.0 or later